Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.acceptor
Class AbstractAcceptor

    java.lang.Object
      org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
          org.drools.planner.core.localsearch.decider.acceptor.AbstractAcceptor

All Implemented Interfaces:
  EventListener, Acceptor, LocalSearchSolverPhaseLifecycleListener

Direct Known Subclasses:
  AbstractTabuAcceptor, CompositeAcceptor, GreatDelugeAcceptor, LegacySimulatedAnnealingAcceptor, SimulatedAnnealingAcceptor

    public abstract class AbstractAcceptor

extends LocalSearchSolverPhaseLifecycleListenerAdapter
implements Acceptor

Abstract superclass for `Acceptor`.

See Also:
  `Acceptor`

Field Summary
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`AbstractAcceptor()`

Method Summary

Methods inherited from class org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
`beforeDeciding, phaseEnded, phaseStarted, stepDecided, stepTaken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.localsearch.decider.acceptor.Acceptor
`calculateAcceptChance`

Methods inherited from interface org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListener
`beforeDeciding, phaseEnded, phaseStarted, stepDecided, stepTaken`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### AbstractAcceptor

    public AbstractAcceptor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.